# Uses of Enum Class
org.apache.lucene.analysis.ko.KoreanTokenizer.DecompoundMode

Packages that use KoreanTokenizer.DecompoundMode
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.

- ## Uses of KoreanTokenizer.DecompoundMode in org.apache.lucene.analysis.ko

  Fields in org.apache.lucene.analysis.ko declared as KoreanTokenizer.DecompoundMode
  Modifier and Type
  Field
  Description
  `static final KoreanTokenizer.DecompoundMode`
  KoreanTokenizer.`DEFAULT_DECOMPOUND`
  Default mode for the decompound of tokens (`DISCARD`.
  Methods in org.apache.lucene.analysis.ko that return KoreanTokenizer.DecompoundMode
  Modifier and Type
  Method
  Description
  `static KoreanTokenizer.DecompoundMode`
  KoreanTokenizer.DecompoundMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KoreanTokenizer.DecompoundMode[]`
  KoreanTokenizer.DecompoundMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.analysis.ko with parameters of type KoreanTokenizer.DecompoundMode
  Modifier
  Constructor
  Description
  ``
  `KoreanAnalyzer(UserDictionary userDict, KoreanTokenizer.DecompoundMode mode, Set<POS.Tag> stopTags, boolean outputUnknownUnigrams)`
  Creates a new KoreanAnalyzer.
  ``
  `KoreanTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
  Create a new KoreanTokenizer supplying a custom system dictionary and unknown dictionary.
  ``
  `KoreanTokenizer(AttributeFactory factory, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams)`
  Create a new KoreanTokenizer using the system and unknown dictionaries shipped with Lucene.
  ``
  `KoreanTokenizer(AttributeFactory factory, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
  Create a new KoreanTokenizer using the system and unknown dictionaries shipped with Lucene.